# koishi-plugin-adapter-wechaty

Koishi 微信适配器。

## 安装

### npm

```bash
npm install koishi-plugin-adapter-wechaty
```

## 配置

```yaml
plugins:
  adapter-wechaty:
    name: 'koishi' # Wechaty 配置文件保存路径。
    puppet: 'wechaty-puppet-wechat' # 支持 wechat 和 xp 两种。xp 只在 WIndows 支持。
```

## 使用方法

### wechaty-puppet-wechat

启动插件，并在 Koishi 控制台的『日志』或是 stdout 中查看二维码，扫描登录。

### wechaty-puppet-xp

仅限 Windows 操作系统，需要安装 [特定版本微信](https://github.com/tom-snow/wechat-windows-versions/releases/download/v3.6.0.18/WeChatSetup-3.6.0.18.exe)。




# docker部署



## 准备
* docker
* 开通过微信支付的微信账号，（不开通微信支付可能会登不上）

## 步骤

- 1.启动容器
    - `docker run -p 5141:5140 initialencounter/koishi-wechaty:latest bash -c "cd /koimux_bot && yarn start"`
- 2.扫码
    - `docker logs 容器ID`或者直接登录koishi控制台 `http://公网IP:5141` 或者 `http://127.0.0.1:5141` 扫码

# 联系我
- qq群：399899914
- 哔哩哔哩：https://space.bilibili.com/225995995

先在本地的微信中登录，然后启动该插件。

# 更新日志
- v1.1.7
  - 修复重启后重复发送消息
- v1.1.6
  - 更改elements的url为base64url